display_information:
  name: D&D Campaign Manager
  description: Slack integration for D&D Campaign Manager — view channels, send messages, and get real-time updates from your VTT.
  background_color: "#1a1a2e"
  long_description: |
    Connects your Slack workspace to D&D Campaign Manager so your party can read and send Slack messages directly from the Virtual Tabletop (VTT) interface. Supports public channels, private channels, DMs, group DMs, file uploads, and real-time message updates via Socket Mode.

features:
  bot_user:
    display_name: D&D Campaign Manager
    always_online: true

oauth_config:
  # IMPORTANT: Replace YOUR_DOMAIN with your actual deployment URL (e.g., dnd.example.com)
  redirect_urls:
    - https://YOUR_DOMAIN/api/slack/callback
  scopes:
    bot:
      - channels:read
      - channels:history
      - groups:read
      - groups:history
      - im:read
      - im:history
      - mpim:read
      - mpim:history
      - users:read
    user:
      - channels:read
      - channels:history
      - channels:write
      - groups:read
      - groups:history
      - groups:write
      - chat:write
      - im:read
      - im:write
      - im:history
      - mpim:read
      - mpim:history
      - mpim:write
      - users:read
      - users:read.email
      - files:read
      - files:write

settings:
  event_subscriptions:
    bot_events:
      - message.channels
      - message.groups
      - message.im
      - message.mpim
      - file_shared
  interactivity:
    is_enabled: false
  org_deploy_enabled: false
  socket_mode_enabled: true
  token_rotation_enabled: true
